<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Video Player with Progress Bar</title>

    <style>
        /* 设置视频容器的宽度 */
        #videoContainer {
            width: 600px; /* 设置容器宽度 */
            margin: 20px;
        }

        /* 设置进度条的样式 */
        #progressBar {
            width: 200px;
            height: 10px;
            background-color: #ddd;
            position: relative;
        }

        /* 设置进度条填充部分的样式 */
        #progressBarValue {
            height: 100%;
            background-color: #4caf50;
            width: 0;
            position: absolute;
        }

        /* 新增视频样式 */
        #newVideo {
            position: absolute;
            top: 1680px; /* 设置视频顶部距离容器顶部的距离 */
            left: 1000px; /* 设置视频左侧距离容器左侧的距离 */
            width: 600px; /* 设置视频宽度 */
            height: 240px; /* 设置视频高度 */
        }
    </style>
</head>


<body>
   <!-- 视频容器 -->
   <div id="videoContainer">
    <!-- 视频元素 -->
    <video id="myVideo" width="200" height="auto" controls>
        <source src="恋人.mp4" type="video/mp4">
        Your browser does not support the video tag.
    </video>

    <!-- 进度条 -->
    <div id="progressBar">
        <div id="progressBarValue"></div>
    </div>
</div>

<!-- 新增的视频元素 -->
<video id="newVideo" controls>
    <source src="sp2.mp4" type="video/mp4">
    Your browser does not support the video tag.
</video>

<script>
    // 获取视频元素和进度条元素
    const video = document.getElementById('myVideo');
    const progressBarValue = document.getElementById('progressBarValue');

    // 监听视频播放事件，更新进度条
    video.addEventListener('timeupdate', () => {
        const value = (video.currentTime / video.duration) * 100;
        progressBarValue.style.width = value + '%';
    });
</script>
    <body style="background-color: black;">
        <h1 style="color: rgb(255, 255, 255); position:absolute; top:10px; left:50%">
            MJL'art works are made up of……
            <img style="position:absolute; top:40px; left: px; px; border='0' " src="zhuangzhi2.jpg" width="400" />
            <img style="position:absolute; top:40px; left: 9%; px; border='0' " src="zhuangzhi1.jpg" width="400" />
            <img style="position:absolute; top:40px; left: -83%; px; border='0' " src="zhuangzhi3.jpg" width="400" />
            <h1 style="color: rgb(255, 255, 255); position:absolute; top:420px; left:50%">
                The Screen Lovers
            </h1>
            <img style="position:absolute; top:600px; left: px; px; border='0' " src="zhuangzhi4.jpg" width="400" />
            <img style="position:absolute; top:600px; left: 450px; px; border='0' " src="zhuangzhi5.jpg" width="500" />
            <img style="position:absolute; top:600px; left: 1000px; px; border='0' " src="zhuangzhi6.jpg" width="450" />
            <h1 style="color: rgb(255, 255, 255); position:absolute; top: 900px; left:50%">
                Herd Enity
            </h1>
            <img style="position:absolute; top: 1080px; left: px; px; border='0' " src="h1.jpeg" width="400" />
            <img style="position:absolute; top:1080px; left: 450px; px; border='0' " src="h2.jpeg" width="300" />
            <img style="position:absolute; top:1080px; left: 800px; px; border='0' " src="h3.jpeg" width="300" />
            <img style="position:absolute; top:1380px; left: px; border='0' " src="h4.jpeg" width="400" />
            <img style="position:absolute; top:1080px; left:1150px; border='0' " src="h5.jpeg" width="400" />
            <h1 style="color: rgb(255, 255, 255); position:absolute; top: 1500px; left:50%">
                Nerd
            </h1>
            <img style="position:absolute; top: 1680px; left: px; px; border='0' " src="jm1.PNG" width="500" />
            <img style="position:absolute; top:2000px; left: px; px; border='0' " src="jm2.PNG" width="500" />
            <img style="position:absolute; top:1680px; left: 550px; px; border='0' " src="jm3.jpg" width="450" />
            <h1 style="color: rgb(255, 255, 255); position:absolute; top: 2100px; left: 1300px;">
                Fettering
            </h1>
        </body>
</body>

</html>
</body>

</html>
